
Family Care - Bug #2338

Inquiry screen (متابعة الطلبات)- Miscellaneous issues

12/16/2020 02:00 PM - Saja Nakhleh

Status: Closed Start date: 12/16/2020

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

reset action is not exist, hence if the user

wants to do 2 searches he will need to

remove the search fields data one by one

 

Issue #2:

the search will retrieve all the records on

the table (starting from 2018) !!!

Observe evidence 30.gif

Issue #3:

the inquiry screen will retrieve all the

records as on this vedio:

https://www.loom.com/share/4fc81b4b5ab

84cb796e4fb4d02c5830a

Issue #4:

the values of the field (نوع الملف) are 3

options only, which is not reflect all the

services types.

Severity: Normal Environment: QA

Category: Inquiry screen Transaction Number:  

Sub-Category:  Username: all users

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the available actions should be : (search)

and (reset)

reset action to remove the search results

and search criteria (search fields

contents)

Issue #2:

the retrieved records should be only the

tasks between the selected dates only

Issue #3:

the inquiry screen should be empty

Issue #4:

the (نوع الملف) should contain all the file

services (تحويل فئة او وحدة , تعديل ,

.. تحديث بيانات , ايقاف استثنائي

(الخ

Test Case ID:  

Description

Issue #1:

1. open the inquiry tab

2. Select tasks' follow up screen
http://185.98.225.148:8089/redmine/issues/1


3. Observe the available actions

Issue #2:

1. open the inquiry tab

2. Select tasks' follow up screen

3. fill (Date from) and (Date to) by: (15 NOV 2020) and (5 DEC 2020)

4. click Search and observe the retrieved records

Issue #3:

1. open the inquiry tab

2. Select tasks' follow up screen

3. search for any file

4. close the inquiry screen then reopen it

5. Observe the retrieved records

Issue #4:

1. open the inquiry tab

2. Select tasks' follow up screen

3. Observe the (نوع الملف) field's options

History

#1 - 03/09/2021 11:01 AM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 03/31/2021 03:55 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 04/27/2021 03:08 PM - Mohannad Sabra

Issue #1:

Rest Action has been added.

Issue #2:Issue Solved.

Issue #3:Issue Solved.

Issue #4:

The Categories of the search are 3 as below:

-Open File

-Update File which include all update file cases and change file case

-Financial Trans.

#4 - 04/27/2021 03:08 PM - Mohannad Sabra

- Status changed from Open to Feedback

- Assignee changed from Mohannad Sabra to Saja Nakhleh
#5 - 05/02/2021 02:52 PM - Saja Nakhleh

- File 97.gif added

- File 98.GIF added

Issue #1, #2, #3:

still duplicated !

Issue #4:

is it technical limitation that is preventing add all the services separately on the task type ?

New issue ـ Issue #5:

An exception error is occurred once the search is done either by civil ID, file number or task number

evidence 97.gif

Issue #6:

the task type and the label should be :

الرجاء اختيار نوع الطلب

نوع الطلب

observe evidence 98.gif

#6 - 05/02/2021 02:52 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Mohannad Sabra

#7 - 05/26/2021 11:20 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Saja Nakhleh

all issues have been resolved kindly check

#8 - 05/26/2021 03:16 PM - Saja Nakhleh

- File 106.GIF added

- Assignee changed from Saja Nakhleh to Mohannad Sabra

Issues #1, #2 and #3:

tested and verified.

issue #4:

verified and postponed for the coming services

Issue #5:

tested and verified.

Issue #6:

still duplicating !

New issue, issue #7:

1. set invalid value in the civil id field

2. delete the entered value

3. set new value in the field (File number) and click search

results: the error message will keep showing that the old value on the civil id field is wrong as on evidence 106.gif

Issue #8:
Observe the task number column and the empty columns

the task number has been hidden and the empty columns should be removed ! evidence 107.gif

Issue #9, SHOW STOPPER:

the search action is always disabled !

#9 - 05/26/2021 03:21 PM - Saja Nakhleh

- File 107.GIF added

#10 - 06/02/2021 02:07 PM - Saja Nakhleh

- Subject changed from Inquiry screen - Miscellaneous issues to Inquiry screen (متابعة الطلبات)- Miscellaneous issues

#11 - 07/08/2021 01:42 AM - Saja Nakhleh

Issue #6, #7, #8:

still duplicated

Issue #9:

tested and verified.

#12 - 07/16/2021 03:27 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Shadi Abuomar

please take action.

#13 - 07/16/2021 04:10 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#14 - 07/16/2021 10:56 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Issues  #6, #7, #8:

tested and verified

Files

30.GIF 350 KB 12/16/2020 Saja Nakhleh

97.gif 307 KB 05/02/2021 Saja Nakhleh

98.GIF 87 KB 05/02/2021 Saja Nakhleh

106.GIF 217 KB 05/26/2021 Saja Nakhleh

107.GIF 103 KB 05/26/2021 Saja Nakhleh
